Skip to main content
GET
/
2025-07
/
retail-media
/
balances
/
{balance-id}
/
campaigns
/2025-07/retail-media/balances/{balance-id}/campaigns
curl --request GET \
  --url https://api.criteo.com/2025-07/retail-media/balances/{balance-id}/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "metadata": {
    "currentPageIndex": 123,
    "currentPageSize": 123,
    "nextPage": "<string>",
    "previousPage": "<string>",
    "totalItemsAcrossAllPages": 123,
    "totalPages": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

balance-id
string
required

The balance to get campaigns from

Query Parameters

limitToId
string[]

The ids that you would like to limit your result set to

pageIndex
integer<int32>
default:0

The 0 indexed page index you would like to receive given the page size

Required range: 0 <= x <= 2147483647
pageSize
integer<int32>
default:25

The maximum number of items you would like to receive in this request

Required range: 1 <= x <= 2147483647

Response

200 - application/json

Success

Data model for a paged list of response resources

data
object[]
errors
object[]
read-only
metadata
object

Metadata related to the current request

warnings
object[]
read-only